TreeMap
Date: 2016-06-24

java.util

## Class TreeMap

- java.lang.Object
- - java.util.AbstractMap
  - - java.util.TreeMap

- All Implemented Interfaces:
    Serializable, Cloneable, Map, SortedMap

      public class TreeMap
      extends AbstractMap
      implements Serializable, Cloneable, SortedMap

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeMap()`
    `TreeMap(Comparator var0)`
    `TreeMap(Map var0)`
    `TreeMap(SortedMap var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()`
    `Comparator` | `comparator()`
    `Set` | `entrySet()`
    `Object` | `firstKey()`
    `SortedMap` | `headMap(Object var0)`
    `Object` | `lastKey()`
    `SortedMap` | `subMap(Object var0, Object var1)`
    `SortedMap` | `tailMap(Object var0)`

    - ### Methods inherited from class java.util.AbstractMap

      `clear, containsKey, containsValue, get, isEmpty, keySet, put, putAll, remove, size, values`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `clear, containsKey, containsValue, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

- - ### Constructor Detail

    - #### TreeMap

          public TreeMap()

    - #### TreeMap

          public TreeMap(Comparator var0)

    - #### TreeMap

          public TreeMap(Map var0)

    - #### TreeMap

          public TreeMap(SortedMap var0)

  - ### Method Detail

    - #### clone

          public Object clone()

      Overrides:
        `clone` in class `Object`

    - #### comparator

          public Comparator comparator()

      Specified by:
        `comparator` in interface `SortedMap`

    - #### entrySet

          public Set entrySet()

      Specified by:
        `entrySet` in interface `Map`

    - #### firstKey

          public Object firstKey()

      Specified by:
        `firstKey` in interface `SortedMap`

    - #### headMap

          public SortedMap headMap(Object var0)

      Specified by:
        `headMap` in interface `SortedMap`

    - #### lastKey

          public Object lastKey()

      Specified by:
        `lastKey` in interface `SortedMap`

    - #### subMap

          public SortedMap subMap(Object var0,
                         Object var1)

      Specified by:
        `subMap` in interface `SortedMap`

    - #### tailMap

          public SortedMap tailMap(Object var0)

      Specified by:
        `tailMap` in interface `SortedMap`